import Command, { flags } from '@oclif/command';
export default abstract class BaseCommand extends Command {
    static flags: {
        "jira-host": flags.IOptionFlag<string | undefined>;
        "jira-email": flags.IOptionFlag<string | undefined>;
        "jira-access-token": flags.IOptionFlag<string | undefined>;
        "github-access-token": flags.IOptionFlag<string | undefined>;
    };
    run(): Promise<void>;
}
