import { flags } from "@oclif/command";
import BaseCommand from "../base";
export default class Pr extends BaseCommand {
    static description: string;
    static flags: {
        "help": import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        "base-branch": flags.IOptionFlag<string | undefined>;
        "ticket-id": flags.IOptionFlag<string | undefined>;
        "pr-title": flags.IOptionFlag<string | undefined>;
        "interactive": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "jira-host": flags.IOptionFlag<string | undefined>;
        "jira-email": flags.IOptionFlag<string | undefined>;
        "jira-access-token": flags.IOptionFlag<string | undefined>;
        "github-access-token": flags.IOptionFlag<string | undefined>;
    };
    private interactive;
    run(): Promise<void>;
    private getJiraTicket;
    private makePullRequest;
    private createPRTitle;
    private createPRDescription;
    private getFlagValue;
}
